Subject: [Asrg] "DNS Blacklists Considered Harmful" considered for RFC publication

From: "william(at)elan.net" <[email-masked]>
Date: Sat, 3 Dec 2005 05:03:49 -0800 (PST)

FYI:

RFC Editor queue at http://www.rfc-editor.org/queue.html lists the
following draft with title ""DNS Blacklists Considered Harmful"
as being under consideration for publication:
  http://www.ietf.org/internet-drafts/draft-church-dnsbl-harmful-01.txt

-- 
William Leibzon
Elan Networks
[email-masked]

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 03 Dec 2005 18:32:35 +0100

william(at)elan.net wrote:

> under consideration for publication:

A good candidate for an IESG note longer than that in SPF. ;-)

Checking 2223is draft -08, apparently there is no way to move
it to the ASRG before publication, the ASRG is no WG. <shrug />

For John's memo it could be a similar problem, unless he wants
a BCP there might be no "IETF last call".  These "bypass IETF
last call" loopholes are odd.
                              Bye, Frank

---

From: John Levine <[email-masked]>
Date: 3 Dec 2005 18:46:30 -0000

>> http://www.ietf.org/internet-drafts/draft-church-dnsbl-harmful-01.txt

It's only under consideration to the extent that any other independent submission
is, that is, not much.

Executive summary: DNSBLs do not block 100% of spam and SORBS has a few false
positives, therefore all DNSBLs are bad.

R's,
John

---

From: Dave Crocker <[email-masked]>
Date: Sat, 03 Dec 2005 11:15:14 -0800

> positives, therefore all DNSBLs are bad.

I really do wish more people would read Jamie Whyte's "Crimes Against Logic".

It could have a really useful benefit in how people argue (against) things...

d/

-- 

Dave Crocker
Brandenburg InternetWorking
<http://bbiw.net>

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 03 Dec 2005 20:30:15 +0100

John Levine wrote:

> It's only under consideration to the extent that any other
> independent submission is, that is, not much.

Apparently 2223bis says that IRTF submissions are also handled
as individual submissions, maybe you should add an "intended
status BCP" somewhere in _your_ draft (?)  Or do you want only
"informational" ?  For the latter the question of 127.0.0.1/31
would be in fact irrelevant, "informational" isn't important -
if it is not completely wrong almost anything goes.

 [back to draft-curch]
> Executive summary: DNSBLs do not block 100% of spam and SORBS
> has a few false positives, therefore all DNSBLs are bad.

Yes, and this last part "all DNSBLs are bad" is very near to
"completely wrong".  A corpus of 1,378 mails as "evidence" and
talking about 3% if that in fact means 6 of 211 is ridiculous.

I've seen more impressing stats published here:
<http://article.gmane.org/gmane.ietf.asrg:10671>

                          Bye, Frank

---

From: Daniel Feenberg <[email-masked]>
Date: Sat, 3 Dec 2005 14:53:18 -0500 (EST)

> It's only under consideration to the extent that any other independent submission

Is there an official place to register adverse comments? I took a look at
the IETF web site, and couldn't find one.

Dan Feenberg

---

From: "william(at)elan.net" <[email-masked]>
Date: Sat, 3 Dec 2005 12:15:24 -0800 (PST)

> the IETF web site, and couldn't find one.

That is what last call is for - which does not usually happen for informational
drafts - these are just decided by IESG & RFC-Editor directly, What you can 
do is post your comment to general ietf list (i.e. [email-masked]) and CC that
email post to [email-masked] and to [email-masked]. You  need to 
emphasize that draft publication could be harmful to internet engineering 
practices and conclusions made are overgeneralized and not entirely logical.

Also draft has some format problems for example it has only one References 
section (and new rules require separate Informative and Normative reference
sections) and none of the sections are numbered (although that may not be 
required for if  there is no TOC is there and TOC is not required for 
drafts of less then 15 pages - still unnumbered sections is unusual).

-- 
William Leibzon
Elan Networks
[email-masked]

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 03 Dec 2005 21:57:49 +0100

Daniel Feenberg wrote:

> Is there an official place to register adverse comments?
> I took a look at the IETF web site, and couldn't find one.

http://www.ietf.org/IESG/agenda.html section 3.3 mentions
RfC 3932.  Maybe ask Scott Hollenbeck how to do this, he's
one of the area directors for the applications area.

RfC 3932 says:
|      The new review model will have the IESG take responsibility
| ONLY for checking for conflicts between the work of the IETF and the
| documents submitted; soliciting technical review is deemed to be the
| responsibility of the RFC Editor.  If an individual IESG member
| chooses to review the technical content of the document and finds
| issues, that member will communicate these issues to the RFC Editor,
| and they will be treated the same way as comments on the documents
| from other sources.

| Note: This document describes only the review process done by the
| IESG when the RFC Editor requests that review.

If I get this right the IESG can't do much about it, because
there's no WG directly affected by draft-church.  Claiming
that it's related to DNSOPS won't fly.  If an IEG member wants
to review it anyway, (s)he's in the same position as you.

Chapter 4 in 3932 has three "standard IESG notes", 4.1 and 4.2
are already horrible, only 4.3 passes as "irrelevant, but not
really harmful" (my interpretation, ask Harald if that's what
he meant).

If the IESG considers the ASRG as IETF work it could be very
different, but AFAIK the IRTF is _not_ part of the IETF (?).

The ASRG belongs to the IRTF.  That's why "we" sometimes have
silly problems like RFC 3934, is using 3934 here an option, or
mandatory. or beside the point, or what else.

For a different attack vector:  Just post what you think on the
rfc-interest list, then it's at least "on record":

http://dir.gmane.org/gmane.ietf.rfc.interest (not really IETF,
only the local name on GMaNe, like gmane.ietf.asrg)  Bye, Frank

---

From: John Levine <[email-masked]>
Date: 7 Dec 2005 18:38:28 -0000

>as individual submissions, ...

They say they're planning something better for IRTF.  Once the
discussion of my DNSxL draft dies down and the BCP draft arrives (I
talked to the author yesterday who says he's finally got some time to
work on it), I hope to push them to do so.

R's,
John

---

From: Frank Ellermann <[email-masked]>
Date: Wed, 07 Dec 2005 22:09:18 +0100

John Levine wrote:
 
> Once the discussion of my DNSxL draft dies down

If you go for BCP you should really consider two points:

- 127.0.0.1/31 shouldn't be used as "result code", and
  normally they're also never listed.

- 127.0.0.2 (reverse) could be a test point also for
  RHSBLs.  Another idea is "test", that's what this
  pseudo-TLD is reserved for.

For the strange "BL" issue you could use a dirty trick:

| For IP based lists the abbreviation DNSBL (DNS based)
| is often used.  For domain based lists the abbreviation
| RHSBL is common, RHS for "right hand side" of an email
| address.

"B" obscured as "based" can't be a legal problem.  Bye